#include <stdio.h>
#include <stdlib.h>

int cmp_int(const void* a, const void* b)
{
    const int _a = *(int*) a;
    const int _b = *(int*) b;

    return _a - _b;
}

int main(int argc, char* argv[])
{
    const int nb_nombres = argc - 1;

    if (nb_nombres == 0)
    {
        printf("Vous n'avez pas saisi de nombre !\n");
        return EXIT_FAILURE;
    }

    int* nombres = malloc(nb_nombres * sizeof(int));
    if (nombres == NULL)
    {
        printf("Erreur lors du malloc\n");
        return EXIT_FAILURE;
    }

    for (int i = 0; i < nb_nombres; i++)
    {
        nombres[i] = atoi(argv[i+1]);
    }

    qsort(nombres, nb_nombres, sizeof(int), cmp_int);

    for (int i = 0; i < nb_nombres; i++)
    {
        printf("%d ", nombres[i]);
    }
    printf("\n");

    free(nombres);

    return EXIT_SUCCESS;
}
