#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int cmp_char_int(const void* a, const void* b)
{
    // argv est un tableau de char*, donc a et b sont des pointeurs vers un char*, donc des char**
    const char* _a = *(char**) a;
    const char* _b = *(char**) b;

    // On ne peut pas utiliser strcmp, sinon on a un tri par ordre lexicographique
    /*return strcmp(_a, _b);*/

    return atoi(_a) - atoi(_b);
}

int main(int argc, char* argv[])
{
    const int nb_nombres = argc - 1;

    if (nb_nombres == 0)
    {
        printf("Vous n'avez pas saisi de nombre !\n");
        return EXIT_FAILURE;
    }

    qsort(&argv[1], nb_nombres, sizeof(char*), cmp_char_int);

    for (int i = 0; i < nb_nombres; i++)
    {
        printf("%s ", argv[i+1]);
    }
    printf("\n");

    return EXIT_SUCCESS;
}
